#![feature(generic_const_exprs)]
pub mod abstraction;
pub mod abstraction_cluster;
pub mod database;
pub mod featurizer;
pub mod game;
pub mod hand_isomorphism;
// pub mod abstraction_cluster;
pub mod utils;

pub fn add(left: usize, right: usize) -> usize {
    left + right
}

#[cfg(test)]
mod tests {
    use super::*;

    #[test]
    fn it_works() {
        let result = add(2, 2);
        assert_eq!(result, 4);
    }
}
